Role Elevation

Request role elevation

User requests to upgrade to a specific role. May require payment, KYC, or admin approval based on role configuration.

AuthBearer (JWT)
GroupRole Elevation
Rate limitSee Rate Limits
POST/api/projects/{projectId}/role-elevation/request

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, RoleElevationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const roleelevation = new RoleElevationApi(configuration);
import { Configuration, RoleElevationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const roleelevation = new RoleElevationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await roleelevation.requestRoleElevation(
  "proj_qphPswYXJax4",
  {
    roleSlug: "ripe-backbone-ojof"
  }
);
const { data: result } = await roleelevation.requestRoleElevation(
  "proj_qphPswYXJax4",
  {
    roleSlug: "ripe-backbone-ojof"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{
  "roleSlug": "seller"
}
{
  "roleSlug": "seller"
}

Responses

200Role elevation request created or auto-approved
json
{
  "message": "Request submitted",
  "requestId": "req_abc123",
  "workflow": "pending_admin_approval",
  "status": "pending"
}
{
  "message": "Request submitted",
  "requestId": "req_abc123",
  "workflow": "pending_admin_approval",
  "status": "pending"
}
400Invalid request or already has role
403Cannot request role with higher hierarchy
404Role not found

Errors

CodeMeaning
400Invalid request or already has role
403Cannot request role with higher hierarchy
404Role not found
Edit this page on GitHub